Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model.impl
Class HierarchyImpl

    java.lang.Object
      com.tonbeller.jpivot.olap.model.impl.HierarchyImpl

All Implemented Interfaces:
  Decorator, Displayable, Expression, Hierarchy, Visitable

Direct Known Subclasses:
  TestHierarchy

    public class HierarchyImpl

extends java.lang.Object
implements Hierarchy

Created on 11.10.2002

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`LABEL_COMPARATOR`

Constructor Summary
`HierarchyImpl()`

Method Summary
`void` | `accept(Visitor visitor)`
`Dimension` | `getDimension()` Returns the dimension.
`java.lang.String` | `getLabel()` Returns the label.
`Level[]` | `getLevels()` Returns the levels.
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`boolean` | `hasAll()`
`void` | `setDimension(Dimension dimension)` Sets the dimension.
`void` | `setHasAll(boolean hasAll)`
`void` | `setLabel(java.lang.String label)` Sets the label.
`void` | `setLevels(Level[] levels)` Sets the levels.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchyImpl

    public HierarchyImpl()

Method Detail

### getDimension

    public Dimension getDimension()

  Returns the dimension.

  Specified by:
    `getDimension` in interface `Hierarchy`
  Returns:
    Dimension

### getLevels

    public Level[] getLevels()

  Returns the levels.

  Specified by:
    `getLevels` in interface `Hierarchy`
  Returns:
    Level[]

### setDimension

    public void setDimension(Dimension dimension)

  Sets the dimension.

  Parameters:
    `dimension` - The dimension to set

### setLevels

    public void setLevels(Level[] levels)

  Sets the levels.

  Parameters:
    `levels` - The levels to set

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

### getLabel

    public java.lang.String getLabel()

  Returns the label.

  Specified by:
    `getLabel` in interface `Displayable`
  Returns:
    String

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label.

  Parameters:
    `label` - The label to set

### hasAll

    public boolean hasAll()

  Specified by:
    `hasAll` in interface `Hierarchy`

### setHasAll

    public void setHasAll(boolean hasAll)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD